ClassNameMBean (Apache Tomcat 9.0.22 API Documentation)

org.apache.catalina.mbeans

## Class ClassNameMBean<T>

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.catalina.mbeans.BaseCatalinaMBean<T>
    - - org.apache.catalina.mbeans.ClassNameMBean<T>

- Type Parameters:
    `T` - The type that this bean represents.
  All Implemented Interfaces:
    javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster
  Direct Known Subclasses:
    ConnectorMBean

      public class ClassNameMBean<T>
      extends BaseCatalinaMBean<T>

  A convenience base class for ModelMBean implementations where the underlying base class (and therefore the set of supported properties) is different for varying implementations of a standard interface. For Catalina, that includes at least the following: Connector, Logger, Realm, and Valve. This class creates an artificial MBean attribute named `className`, which reports the fully qualified class name of the managed object as its value.

  Author:
    Craig R. McClanahan

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassNameMBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()` Return the fully qualified Java class name of the managed object for this MBean.

    - ### Methods inherited from class org.apache.catalina.mbeans.BaseCatalinaMBean

      `doGetManagedResource, newInstance`

    - ### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassNameMBean

          public ClassNameMBean()

  - ### Method Detail

    - #### getClassName

          public java.lang.String getClassName()

      Return the fully qualified Java class name of the managed object for this MBean.
      Overrides:
        `getClassName` in class `BaseModelMBean`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.